View Issue Details

IDProjectCategoryView StatusLast Update
0004845Talermechant backendpublic2017-06-06 14:18
ReporterMarcello StanisciAssigned ToChristian Grothoff 
PrioritylowSeveritytweakReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.2 
Target Version0.3Fixed in Version0.3 
Summary0004845: Compilation warning on MHD_HTTP_METHOD_NOT_ACCEPTABLE
Descriptiontaler-merchant-httpd_pay.c: In function ‘process_pay_with_exchange’:
taler-merchant-httpd_pay.c:665:13: warning: Value MHD_HTTP_METHOD_NOT_ACCEPTABLE is deprecated, use MHD_HTTP_NOT_ACCEPTABLE
                                 MHD_HTTP_METHOD_NOT_ACCEPTABLE,
             ^
taler-merchant-httpd_pay.c:679:13: warning: Value MHD_HTTP_METHOD_NOT_ACCEPTABLE is deprecated, use MHD_HTTP_NOT_ACCEPTABLE
                                 MHD_HTTP_METHOD_NOT_ACCEPTABLE,
TagsNo tags attached.

Activities

Christian Grothoff

2016-12-25 14:11

manager   ~0011611

We should suppress the warning, I'll do it once I'm back.

Christian Grothoff

2017-01-03 18:42

manager   ~0011615

Fixed in 98e6bb9..15defda

Issue History

Date Modified Username Field Change
2016-12-21 10:54 Marcello Stanisci New Issue
2016-12-21 10:54 Marcello Stanisci Status new => assigned
2016-12-21 10:54 Marcello Stanisci Assigned To => Marcello Stanisci
2016-12-25 14:11 Christian Grothoff Note Added: 0011611
2016-12-25 14:11 Christian Grothoff Assigned To Marcello Stanisci => Christian Grothoff
2017-01-03 18:42 Christian Grothoff Status assigned => resolved
2017-01-03 18:42 Christian Grothoff Resolution open => fixed
2017-01-03 18:42 Christian Grothoff Fixed in Version => 0.3
2017-01-03 18:42 Christian Grothoff Note Added: 0011615
2017-01-03 18:42 Christian Grothoff Product Version => 0.2
2017-01-03 18:42 Christian Grothoff Target Version => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed